CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
  What's the CVSS score of your company?
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Apple : Security Vulnerabilities (CVSS score between 5 and 5.99)

Press ESC to close
# CVE ID CWE ID # of Exploits Vulnerability Type(s) Publish Date Update Date Score Gained Access Level Access Complexity Authentication Conf. Integ. Avail.
501 CVE-2008-1999 2008-04-28 2018-10-11
5.0
None Remote Low Not required None Partial None
Apple Safari 3.1.1 allows remote attackers to spoof the address bar by placing many "invisible" characters in the userinfo subcomponent of the authority component of the URL (aka the user field), as demonstrated by %E3%80%80 sequences.
502 CVE-2008-1579 200 +Info 2008-06-02 2017-08-08
5.0
None Remote Low Not required Partial None None
Wiki Server in Apple Mac OS X 10.5 before 10.5.3 allows remote attackers to obtain sensitive information (user names) by reading the error message produced upon access to a nonexistent blog.
503 CVE-2008-1571 22 Dir. Trav. 2008-06-02 2017-08-08
5.0
None Remote Low Not required Partial None None
Directory traversal vulnerability in the embedded web server in Image Capture in Apple Mac OS X before 10.5 allows remote attackers to read arbitrary files via directory traversal sequences in the URI.
504 CVE-2008-0992 119 Exec Code Overflow 2008-03-18 2017-08-08
5.8
None Remote Medium Not required None Partial Partial
Array index error in pax in Apple Mac OS X 10.5.2 allows context-dependent attackers to execute arbitrary code via an archive with a crafted length value.
505 CVE-2008-0059 362 Exec Code 2008-03-18 2017-08-08
5.8
None Remote Medium Not required None Partial Partial
Race condition in NSXML in Foundation for Apple Mac OS X 10.4.11 allows context-dependent attackers to execute arbitrary code via a crafted XML file, related to "error handling logic."
506 CVE-2008-0058 362 Exec Code 2008-03-18 2017-08-08
5.8
None Remote Medium Not required None Partial Partial
Race condition in the NSURLConnection cache management functionality in Foundation for Apple Mac OS X 10.4.11 allows remote attackers to execute arbitrary code via unspecified manipulations that cause messages to be sent to a deallocated object.
507 CVE-2008-0050 200 +Info 2008-03-18 2017-08-08
5.0
None Remote Low Not required Partial None None
CFNetwork in Apple Mac OS X 10.4.11 allows remote HTTPS proxy servers to spoof secure websites via data in a 502 Bad Gateway error.
508 CVE-2008-0046 264 Bypass 2008-03-18 2017-08-08
5.0
None Remote Low Not required Partial None None
The Application Firewall in Apple Mac OS X 10.5.2 has an incorrect German translation for the "Set access for specific services and applications" radio button that might cause the user to believe that the button is used to restrict access only to specific services and applications, which might allow attackers to bypass intended access restrictions.
509 CVE-2008-0044 119 DoS Exec Code Overflow 2008-03-18 2017-08-08
5.8
None Remote Medium Not required None Partial Partial
Multiple buffer overflows in AFP Client in Apple Mac OS X 10.4.11 and 10.5.2 allow remote attackers to cause a denial of service (application termination) and execute arbitrary code via a crafted afp:// URL.
510 CVE-2008-0041 200 +Info 2008-02-12 2011-03-08
5.0
None Remote Low Not required Partial None None
Parental Controls in Apple Mac OS X 10.5 through 10.5.1 contacts www.apple.com "when a website is unblocked," which allows remote attackers to determine when a system is running Parental Controls.
511 CVE-2008-0032 399 Exec Code 2008-01-16 2017-08-08
5.8
None Remote Medium Not required None Partial Partial
Apple QuickTime before 7.4 allows remote attackers to execute arbitrary code via a movie file containing a Macintosh Resource record with a modified length value in the resource header, which triggers heap corruption.
512 CVE-2008-0031 399 DoS Exec Code Mem. Corr. 2008-01-16 2017-08-08
5.8
None Remote Medium Not required None Partial Partial
Unspecified vulnerability in Apple QuickTime before 7.4 allows remote attackers to cause a denial of service (application termination) and execute arbitrary code via a crafted Sorenson 3 video file, which triggers memory corruption.
513 CVE-2007-4812 119 DoS Overflow 2007-09-11 2018-10-15
5.0
None Remote Low Not required None None Partial
Buffer overflow in Apple Safari 3.0.3 522.15.5, and other versions before Beta Update 3.0.4, allows remote attackers to cause a denial of service (crash) and possibly have other unspecified impact by setting document.location.hash to a long string. NOTE: the crash might actually occur in the alert method.
514 CVE-2007-4688 200 +Info 2007-11-15 2017-07-29
5.0
None Remote Low Not required Partial None None
The Networking component in Apple Mac OS X 10.4 through 10.4.10 allows remote attackers to obtain all addresses for a host, including link-local addresses, via a Node Information Query.
515 CVE-2007-4045 DoS 2007-07-27 2020-12-23
5.0
None Remote Low Not required None None Partial
The CUPS service, as used in SUSE Linux before 20070720 and other Linux distributions, allows remote attackers to cause a denial of service via unspecified vectors related to an incomplete fix for CVE-2007-0720 that introduced a different denial of service problem in SSL negotiation.
516 CVE-2007-3744 119 Exec Code Overflow 2007-08-03 2017-07-29
5.8
None Local Network Low Not required Partial Partial Partial
Heap-based buffer overflow in the UPnP IGD (Internet Gateway Device Standardized Device Control Protocol) implementation in mDNSResponder on Apple Mac OS X 10.4.10 before 20070731 allows network-adjacent remote attackers to execute arbitrary code via a crafted packet.
517 CVE-2007-2404 XSS Http R.Spl. 2007-08-03 2017-07-29
5.0
None Remote Low Not required None Partial None
CRLF injection vulnerability in CFNetwork on Apple Mac OS X 10.3.9 and 10.4.10 before 20070731 allows remote attackers to inject arbitrary HTTP headers and conduct HTTP response splitting attacks via CRLF sequences in an unspecified context. NOTE: this can be leveraged for cross-site scripting (XSS) attacks.
518 CVE-2007-2163 DoS 2007-04-22 2018-10-16
5.0
None Remote Low Not required None None Partial
Apple Safari allows remote attackers to cause a denial of service (browser crash) via JavaScript that matches a regular expression against a long string, as demonstrated using /(.)*/.
519 CVE-2007-1863 DoS 2007-06-27 2021-06-06
5.0
None Remote Low Not required None None Partial
cache_util.c in the mod_cache module in Apache HTTP Server (httpd), when caching is enabled and a threaded Multi-Processing Module (MPM) is used, allows remote attackers to cause a denial of service (child processing handler crash) via a request with the (1) s-maxage, (2) max-age, (3) min-fresh, or (4) max-stale Cache-Control headers without a value.
520 CVE-2007-0726 DoS 2007-03-13 2017-07-29
5.0
None Remote Low Not required None None Partial
The SSH key generation process in OpenSSH in Apple Mac OS X 10.3.9 and 10.4 through 10.4.8 allows remote attackers to cause a denial of service by connecting to the server before SSH has finished creating keys, which causes the keys to be regenerated and can break trust relationships that were based on the original keys.
521 CVE-2007-0720 DoS 2007-03-13 2020-12-15
5.0
None Remote Low Not required None None Partial
The CUPS service on multiple platforms allows remote attackers to cause a denial of service (service hang) via a "partially-negotiated" SSL connection, which prevents other requests from being accepted.
522 CVE-2007-0718 119 DoS Exec Code Overflow Mem. Corr. 2007-03-05 2018-10-16
5.8
None Remote Medium Not required None Partial Partial
Heap-based buffer overflow in Apple QuickTime before 7.1.5 allows remote user-assisted attackers to cause a denial of service (crash) and possibly execute arbitrary code via a QTIF file with a Video Sample Description containing a Color table ID of 0, which triggers memory corruption when QuickTime assumes that a color table exists.
523 CVE-2007-0717 DoS Exec Code Overflow 2007-03-05 2017-07-29
5.8
None Remote Medium Not required None Partial Partial
Integer overflow in Apple QuickTime before 7.1.5 allows remote user-assisted attackers to cause a denial of service (crash) and possibly execute arbitrary code via a crafted QTIF file.
524 CVE-2007-0716 DoS Exec Code Overflow 2007-03-05 2017-07-29
5.8
None Remote Medium Not required None Partial Partial
Stack-based buffer overflow in Apple QuickTime before 7.1.5 allows remote user-assisted attackers to cause a denial of service (crash) and possibly execute arbitrary code via a crafted QTIF file.
525 CVE-2007-0715 DoS Exec Code Overflow 2007-03-05 2017-07-29
5.8
None Remote Medium Not required None Partial Partial
Heap-based buffer overflow in Apple QuickTime before 7.1.5 allows remote user-assisted attackers to cause a denial of service (crash) and possibly execute arbitrary code via a crafted PICT file.
526 CVE-2007-0713 DoS Exec Code Overflow 2007-03-05 2018-10-16
5.8
None Remote Medium Not required None Partial Partial
Heap-based buffer overflow in Apple QuickTime before 7.1.5 allows remote user-assisted attackers to cause a denial of service (crash) and possibly execute arbitrary code via a crafted QuickTime movie file.
527 CVE-2007-0613 DoS 2007-01-31 2008-09-05
5.0
None Remote Low Not required None None Partial
The Bonjour functionality in mDNSResponder, iChat 3.1.6, and InstantMessage framework 428 in Apple Mac OS X 10.4.8 does not check for duplicate entries when adding newly discovered available contacts, which allows remote attackers to cause a denial of service (disrupted communication) via a flood of duplicate _presence._tcp mDNS queries.
528 CVE-2007-0463 DoS Exec Code 2007-01-29 2011-03-08
5.0
None Remote Low Not required None None Partial
Format string vulnerability in Apple Software Update 2.0.5 on Mac OS X 10.4.8 allows remote attackers to cause a denial of service (application crash) or execute arbitrary code via format string specifiers in (1) SWUTMP or (2) SUCATALOG filenames, or using the (3) application/x-apple.sucatalog+xml MIME type.
529 CVE-2006-6353 DoS 2006-12-07 2008-09-05
5.0
None Remote Low Not required None None Partial
Multiple unspecified vulnerabilities in BOMArchiveHelper in Mac OS X allow user-assisted remote attackers to cause a denial of service (application crash) via unspecified vectors related to (1) certain KERN_PROTECTION_FAILURE thread crashes and (2) certain KERN_INVALID_ADDRESS thread crashes, as discovered with the "iSec Partners FileP fuzzer".
530 CVE-2006-6238 +Info 2006-12-03 2008-09-05
5.0
None Remote Low Not required Partial None None
The AutoFill feature in Apple Safari 2.0.4 does not properly verify that all automatically populated form fields are visible to the user, which allows remote attackers to obtain sensitive information, such as usernames and passwords, via input fields of zero width, a variant of CVE-2006-6077.
531 CVE-2006-6062 DoS Mem. Corr. 2006-11-22 2017-07-20
5.1
None Remote High Not required Partial Partial Partial
Unspecified vulnerability in Apple Mac OS X 10.4.8, and possibly other versions, allows remote attackers to cause a denial of service (crash) via a malformed UDTO HFS+ disk image, such as with "bad sectors," which triggers memory corruption.
532 CVE-2006-6015 DoS Overflow 2006-11-21 2018-10-17
5.0
None Remote Low Not required None None Partial
Buffer overflow in the JavaScript implementation in Safari on Apple Mac OS X 10.4 allows remote attackers to cause a denial of service (application crash) via a long argument to the exec method of a regular expression.
533 CVE-2006-4965 94 Exec Code 2006-09-25 2018-10-17
5.0
None Remote Low Not required None Partial None
Apple QuickTime 7.1.3 Player and Plug-In allows remote attackers to execute arbitrary JavaScript code and possibly conduct other attacks via a QuickTime Media Link (QTL) file with an embed XML element and a qtnext parameter that identifies resources outside of the original domain. NOTE: as of 20070912, this issue has been demonstrated by using instances of Components.interfaces.nsILocalFile and Components.interfaces.nsIProcess to execute arbitrary local files within Firefox and possibly Internet Explorer.
534 CVE-2006-4409 2006-11-30 2011-03-08
5.0
None Remote Low Not required None Partial None
The Online Certificate Status Protocol (OCSP) service in the Security Framework in Apple Mac OS X 10.4 through 10.4.8 retrieve certificate revocation lists (CRL) when an HTTP proxy is in use, which could cause the system to accept certificates that have been revoked.
535 CVE-2006-4408 DoS 2006-11-30 2011-03-08
5.0
None Remote Low Not required None None Partial
The Security Framework in Apple Mac OS X 10.4 through 10.4.8 allows remote attackers to cause a denial of service (resource consumption) via certain public key values in an X.509 certificate that requires extra resources during signature verification. NOTE: this issue may be similar to CVE-2006-2940.
536 CVE-2006-4407 2006-11-30 2011-03-08
5.0
None Remote Low Not required Partial None None
The Security Framework in Apple Mac OS X 10.3.x up to 10.3.9 does not properly prioritize encryption ciphers when negotiating the strongest shared cipher, which causes Secure Transport to user a weaker cipher that makes it easier for remote attackers to decrypt traffic.
537 CVE-2006-4402 Exec Code Overflow 2006-11-30 2017-07-20
5.1
None Remote High Not required Partial Partial Partial
Heap-based buffer overflow in the Finder in Apple Mac OS X 10.4.8 and earlier allows user-assisted remote attackers to execute arbitrary code by browsing directories containing crafted .DS_Store files.
538 CVE-2006-4401 Exec Code 2006-11-30 2011-03-08
5.1
None Remote High Not required Partial Partial Partial
Unspecified vulnerability in CFNetwork in Mac OS 10.4.8 and earlier allows user-assisted remote attackers to execute arbitrary FTP commands via a crafted FTP URI.
539 CVE-2006-4400 Exec Code Overflow 2006-11-30 2011-03-08
5.1
None Remote High Not required Partial Partial Partial
Stack-based buffer overflow in the Apple Type Services (ATS) server in Mac OS 10.4.8 and earlier allow user-assisted attackers to execute arbitrary code via crafted font files.
540 CVE-2006-4395 DoS Mem. Corr. 2006-10-03 2017-07-20
5.1
None Remote High Not required Partial Partial Partial
Unspecified vulnerability in QuickDraw Manager in Apple Mac OS X 10.3.9 and 10.4 through 10.4.7 allows context-dependent attackers to cause a denial of service ("memory corruption" and crash) via a crafted PICT image that is not properly handled by a certain "unsupported QuickDraw operation."
541 CVE-2006-4391 Exec Code Overflow 2006-10-03 2017-07-20
5.1
None Remote High Not required Partial Partial Partial
Buffer overflow in Apple ImageIO on Apple Mac OS X 10.4 through 10.4.7 allows remote attackers to execute arbitrary code via a malformed JPEG2000 image.
542 CVE-2006-4389 Exec Code 2006-09-12 2018-10-17
5.1
None Remote High Not required Partial Partial Partial
Apple QuickTime before 7.1.3 allows user-assisted remote attackers to execute arbitrary code via a crafted FlashPix (FPX) file, which triggers an exception that leads to an operation on an uninitialized object.
543 CVE-2006-4388 Exec Code Overflow 2006-09-12 2018-10-17
5.1
None Remote High Not required Partial Partial Partial
Integer overflow in Apple QuickTime before 7.1.3 allows user-assisted remote attackers to execute arbitrary code via a crafted FlashPix file.
544 CVE-2006-4386 Exec Code Overflow 2006-09-12 2018-10-17
5.1
None Remote High Not required Partial Partial Partial
Integer overflow in Apple QuickTime before 7.1.3 allows user-assisted remote attackers to execute arbitrary code via a crafted H.264 movie, a different issue than CVE-2006-4381.
545 CVE-2006-4385 Exec Code Overflow 2006-09-12 2018-10-17
5.1
None Remote High Not required Partial Partial Partial
Buffer overflow in Apple QuickTime before 7.1.3 allows user-assisted remote attackers to execute arbitrary code via a crafted SGI image.
546 CVE-2006-4384 Exec Code Overflow 2006-09-12 2018-10-17
5.1
None Remote High Not required Partial Partial Partial
Heap-based buffer overflow in Apple QuickTime before 7.1.3 allows user-assisted remote attackers to execute arbitrary code via the COLOR_64 chunk in a FLIC (FLC) movie.
547 CVE-2006-4382 Exec Code Overflow 2006-09-12 2018-10-17
5.1
None Remote High Not required Partial Partial Partial
Multiple buffer overflows in Apple QuickTime before 7.1.3 allow user-assisted remote attackers to execute arbitrary code via a crafted QuickTime movie.
548 CVE-2006-4381 Exec Code Overflow 2006-09-12 2018-10-17
5.1
None Remote High Not required Partial Partial Partial
Integer overflow in Apple QuickTime before 7.1.3 allows user-assisted remote attackers to execute arbitrary code via a crafted H.264 movie.
549 CVE-2006-3504 Exec Code 2006-08-03 2017-07-20
5.1
None Remote High Not required Partial Partial Partial
The Download Validation in LaunchServices for Apple Mac OS X 10.4.7 can identify certain HTML as "safe", which could allow attackers to execute Javascript code in local context when the "Open 'safe' files after downloading" option is enabled in Safari.
550 CVE-2006-3503 DoS Exec Code Overflow 2006-08-03 2017-07-20
5.1
None Remote High Not required Partial Partial Partial
Integer overflow in ImageIO in Apple Mac OS X 10.4.7 allows user-assisted attackers to cause a denial of service (crash) and possibly execute arbitrary code via a malformed GIF image.
Total number of vulnerabilities : 662   Page : 1 2 3 4 5 6 7 8 9 10 11 (This Page)12 13 14
CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.